## python-xlib 0.12

=== doc/info/Makefile ===
# Make info documentation for Python Xlib
#
# $Id: Makefile,v 1.1 2000/09/22 11:37:51 petli Exp $

include ../src/defs

python-xlib.info: $(SRCS)
	makeinfo --force -P $(SRCDIR) $(TOPSRC)

clean:
	rm -f python-xlib.info

## python-xlib 0.14

=== doc/Makefile ===
# Top-level makefile for Python Xlib documentation
#
# $Id: Makefile,v 1.1 2000/09/22 11:37:51 petli Exp $

FORMATS = info ps html

all: $(FORMATS)

info::
	(cd info; make)

ps::
	(cd ps; make)

html::
	(cd html; make)

clean:
	for f in $(FORMATS); do (cd $$f; make clean); done

=== doc/html/Makefile ===
# Make HTML documentation for Python Xlib
#
# $Id: Makefile,v 1.2 2001/12/16 14:23:38 petli Exp $

include ../src/defs

python-xlib_toc.html: $(SRCS)
	./texi2html -splitnode -menu $(TOPSRC)
	ln -sf python-xlib_toc.html index.html

clean:
	rm -f *.html

=== doc/info/Makefile ===
# Make info documentation for Python Xlib
#
# $Id: Makefile,v 1.2 2002/07/16 20:48:59 petli Exp $

include ../src/defs

python-xlib.info: $(SRCS)
	makeinfo --force --no-split -P $(SRCDIR) $(TOPSRC)

clean:
	rm -f python-xlib.info

=== doc/ps/Makefile ===
# Make postscript documentation for Python Xlib
#
# $Id: Makefile,v 1.3 2001/12/16 14:23:38 petli Exp $

include ../src/defs

python-xlib.ps: python-xlib.dvi
	dvips -o python-xlib.ps python-xlib.dvi

python-xlib.dvi: $(SRCS)
	if test -f python-xlib.aux; then \
           cp python-xlib.aux python-xlib.auxtmp; \
        else touch python-xlib.auxtmp; fi

	texi2dvi -b $(TOPSRC)
# If xref has changed, rebuild again to catch them
	cmp python-xlib.aux python-xlib.auxtmp || texi2dvi -b $(TOPSRC)

clean:
	rm -f python-xlib.*

## python-xlib 0.14+20091101

=== doc/info/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 # Make info documentation for Python Xlib
-#
-# $Id: Makefile,v 1.2 2002/07/16 20:48:59 petli Exp $
 
 include ../src/defs

=== debian/changelog ===
python-xlib (0.14+20091101-5) unstable; urgency=medium

  * Fix LP: #1482844 properly: lp1432889.patch is incompatible with
    fix-auth-lp1482844.patch (Closes: #796889).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 25 Aug 2015 16:18:06 +0200

python-xlib (0.14+20091101-4) unstable; urgency=medium

  * Do proper string-bytes conversion (LP: #1482844).
  * Drop README.source.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 18 Aug 2015 10:30:44 +0200

python-xlib (0.14+20091101-3) unstable; urgency=medium

  [ Ramkumar Ramachandra ]
  * Remove useless debugging output (Closes: #565996)

  [ Andrew Shadura ]
  * Switch to 3.0 (quilt) format.
  * Rename patches.
  * Use debhelper 9 in its short form.
  * Use pybuild.
  * Bump Standards-Version.
  * Don't build or install PostScript documentation and info files.
  * Use system-provided texi2html instead of a shipped version
    (Closes: #795057).
  * Update debian/copyright (Closes: #795057).
  * Don't install Makefile or texi2html with the documentation.
  * Set executable bit for examples.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 13 Aug 2015 08:14:19 +0200

python-xlib (0.14+20091101-2) unstable; urgency=low

  [ Marc Deslauriers ]
  * debian/patches/lp1432889.patch: properly decode the xauthority file
    into strings instead of byte arrays in Xlib/xauth.py. (LP: #1432889)
  * debian/patches/python3: updated to fix a couple of porting errors
    resulting in get_full_property() throwing an exception. (LP: #1231453)

  [ Martin Pitt ]
  * Drop obsolete python-support, move to dh_python2.
  * Reduce texlive build dependency to texlive-latex-base, which is much less
    heavyweight.
  * Add debian/patches/python3: Port code to work with Python 3.
    (http://sourceforge.net/p/python-xlib/patches/5)
  * Build a python3-xlib package.
  * debian/rules: Add missing dh_clean for clean target. (Closes: #671157)
  * debian/rules: Clean doc/ directory, too.

  [ Luke Faraone ]
  * Change priority to 'optional' from 'extra'. (closes: #563199)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove obsolete Conflicts/Replaces with python2.3-xlib and python2.4-xlib.

  [ Andrew Shadura ]
  * Update the package descriptions.
  * Update Vcs-* fields to point to Git.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 07 Aug 2015 12:14:14 +0300

python-xlib (0.14+20091101-1) unstable; urgency=low

  [ Mike O'Connor ]
  * New upstream release
  * add debian/README.source
  * add dependency on dpkg (>= 1.15.4) | install-info for install-info triggers
  * add ${misc:depends}

  [ Daniel Watkins ]
  * Added patch to correct the mis-spelling of 'Rhomboid' in the examples.
  * Fix old FSF address, as per lintian warning.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Mike O'Connor <stew@debian.org>  Thu, 05 Nov 2009 05:57:09 -0500

python-xlib (0.14-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Mike O'Connor ]
  * clarify debian/copyright (Thanks: Moritz Muehlenhoff) (Closes: 494495)
  * update standards version to 3.8.0 (no changes needed)

 -- Mike O'Connor <stew@debian.org>  Wed, 13 Aug 2008 22:04:53 -0400

python-xlib (0.14-1) unstable; urgency=low

  * New upstream release
  * No longer provides pythonX.Y-xlib packages
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Added build dependency on texinfo
  * Install NEWS file as upstream changelog

 -- Mike O'Connor <stew@vireo.org>  Sat, 13 Oct 2007 18:06:44 -0400

python-xlib (0.13-1) unstable; urgency=low

  * New maintainer
  * New upstream version (Closes: #421594)
  * moved source changes to quilt
  * fixed short description (Closes: #420774)
  * increased receiving buffer size (thanks John Eikenberry) (Closes: #357507)
  * added patch for DISPLAY=unix:0.0 (thanks Corey Wright) (Closes: #324443)
  * fixing debian/rules to remove build directory and run make -C info clean
  * combine python-xlib-doc with python-xlib

 -- Mike O'Connor <stew@vireo.org>  Fri, 08 Jun 2007 04:46:36 -0400

python-xlib (0.12-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix old FSF address.
  * Update package to new python policy (Closes: #373367).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 30 Jun 2006 11:18:19 +0200

python-xlib (0.12-5) unstable; urgency=low

  * New maintainer (closes: #254793)
  * Build for Python 2.4 (closes: #292560)
  * Fall back to unix:0 for localhost:0, modelling what Xlib
    does and sshd requires (closes: #249071)
  * Import socket in protocols/display.py (closes: #196387)
  * Remove python2.1-xlib and python2.2-xlib, as Python 2.1
    and 2.2 are going to be removed in the near future.
  * Move to DH_COMPAT=4, write it to debian/compat.
  * Recommend info as a concrete alternative to info-browser.
  * Update build process: remove build-stamp target, use debhelper where
    possible, remove unnecessary dh commands.
  * Add watch file.
  * Add dirinfo into texi sources, regenerate info file into separate
    directory.
  * Let python2.[34] suggest python-xlib-doc.

 -- Martin v. Löwis <martin@v.loewis.de>  Sat, 20 Aug 2005 17:25:20 +0200

python-xlib (0.12-4) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 18:11:23 -0700

python-xlib (0.12-3.2) unstable; urgency=low

  * NMU
  * Move section to python (closes: #208179).
  * Remove .pyc's in clean target.

 -- Josselin Mouette <joss@debian.org>  Fri, 12 Sep 2003 13:00:42 +0200

python-xlib (0.12-3.1) unstable; urgency=low

  * NMU
  * Move to section python, and doc for the doc package.
  * Build a python2.3 version.
  * Use dh_python, build-depend accordingly.
  * Correct boilerplate in copyright.
  * Remove postinst/prerm stuff, it is now autogenerated.
  * Link to system GPL in copyright.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 Aug 2003 00:24:50 +0200



=== debian/control ===
Source: python-xlib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6.24),
               python3-all,
               python3-setuptools (>= 0.6.24),
               texi2html
Standards-Version: 3.9.6
Homepage: http://python-xlib.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/python-xlib.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-xlib.git
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.1

Package: python-xlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: interface for Python to the X11 protocol
 python-xlib is a 100% pure Python implementation of the X11
 protocol. It currently implements client-side X11R6 fully, supports
 the resource database, ICCM, and the Shape extension.
 .
 This is a Python 2 version of the package

Package: python3-xlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: interface for Python 3 to the X11 protocol
 python-xlib is a 100% pure Python 3 implementation of the X11
 protocol. It currently implements client-side X11R6 fully, supports
 the resource database, ICCM, and the Shape extension.
 .
 This is a Python 3 version of the package

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=xlib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C doc html

override_dh_auto_clean:
	dh_auto_clean
	make -C doc clean

override_dh_installdocs:
	dh_installdocs
	rm debian/*/usr/share/doc/*/*/Makefile debian/*/usr/share/doc/*/*/texi2html

override_dh_installexamples:
	dh_installexamples
	# adjust python3 examples hashbang
	sed -i '1 s/python$$/python3/' debian/python3-xlib/usr/share/doc/*/examples/*.py
	# set all examples executable
	chmod +x debian/python*-xlib/usr/share/doc/*/examples/*.py

override_dh_compress:
	dh_compress -X.py

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installexamples override_dh_compress

=== debian/watch ===
version=3
http://sf.net/python-xlib/python-xlib-([\d.]*)\.tar\.gz

## python-xlib 0.20

=== doc/html/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 # Make HTML documentation for Python Xlib
-#
-# $Id: Makefile,v 1.2 2001/12/16 14:23:38 petli Exp $
 
 include ../src/defs

=== debian/changelog ===
python-xlib (0.20-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * README is now README.rst.

  [ Andrew Shadura ]
  * Use texinfo instead of texi2html.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 27 Nov 2017 13:10:02 +0000

python-xlib (0.20-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add missing Build-Depends (Closes: #882772)
  * Modify fix-ssh-tunnel-auth.patch: Use spaces not tabs
  * Update Homepage and Vcs fields

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Nov 2017 23:39:36 +0000

python-xlib (0.20-1) unstable; urgency=medium

  * New upstream version 0.20
    - Update debian/watch to the new upstream.
    - Disable and remove old patches.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Nov 2017 11:52:22 +0000

python-xlib (0.14+20091101-6) unstable; urgency=medium

  * Apply a patch from Mike Gabriel to fix UnicodeDecodeError in
    Xlib/xobject/drawable.py (Closes: #876728)

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 25 Sep 2017 12:47:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,18 @@
                dh-python,
                python-all (>= 2.6.6-3),
                python-setuptools (>= 0.6.24),
+               python-setuptools-scm,
+               python-six <!nocheck>,
                python3-all,
                python3-setuptools (>= 0.6.24),
-               texi2html
+               python3-setuptools-scm,
+               python3-six <!nocheck>,
+               texinfo,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 3.9.6
-Homepage: http://python-xlib.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-xlib.git
+Homepage: https://github.com/python-xlib/python-xlib
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-xlib.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-xlib.git
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.1

=== debian/rules ===
--- 
+++ 
@@ -31,4 +31,9 @@
 override_dh_compress:
 	dh_compress -X.py
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	xvfb-run dh_auto_test
+endif
+
 .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installexamples override_dh_compress

=== debian/watch ===
version=4

https://github.com/@PACKAGE@/@PACKAGE@/releases \
 .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## python-xlib 0.23

=== debian/changelog ===
python-xlib (0.23-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:44:58 +0000

python-xlib (0.23-2) unstable; urgency=medium

  * Clean .eggs.
  * Build-Depend on mock.
  * Fix documentation generation.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Jul 2018 15:19:18 +0200

python-xlib (0.23-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Andrej Shadura ]
  * New upstream release.
  * Refresh patches.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Jul 2018 13:30:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,20 @@
                python-all (>= 2.6.6-3),
                python-setuptools (>= 0.6.24),
                python-setuptools-scm,
+               python-mock <!nocheck>,
                python-six <!nocheck>,
                python3-all,
                python3-setuptools (>= 0.6.24),
                python3-setuptools-scm,
+               python3-mock <!nocheck>,
                python3-six <!nocheck>,
                texinfo,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 3.9.6
 Homepage: https://github.com/python-xlib/python-xlib
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-xlib.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-xlib.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-xlib.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xlib
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.1

## python-xlib 0.26

=== debian/changelog ===
python-xlib (0.26-1~mx19+1) mx; urgency=medium

  * Package upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Fri, 06 Mar 2020 20:52:05 -0500

python-xlib (0.26-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * d/changelog: Remove trailing whitespaces.
  * Use debhelper-compat instead of debian/compat.

  [ Andrej Shadura ]
  * New upstream release.
  * Convert to UNIX line endings after installing.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.
  * Refresh patches to apply with DOS newlines.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 02 Mar 2020 18:58:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: python-xlib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
+               dos2unix,
                python-all (>= 2.6.6-3),
                python-setuptools (>= 0.6.24),
                python-setuptools-scm,
@@ -21,8 +23,6 @@
 Homepage: https://github.com/python-xlib/python-xlib
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-xlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xlib
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.1
 
 Package: python-xlib
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,17 @@
 override_dh_auto_build:
 	dh_auto_build
 	make -C doc html
+	# for some reason makeinfo doesn’t create toc on the first run
+	make -C doc html
 
-override_dh_auto_clean:
-	dh_auto_clean
-	make -C doc clean
+override_dh_auto_install:
+	dh_auto_install
+	find debian/python-xlib -name '*.py' -print0 | xargs -0 dos2unix -q
+	find debian/python3-xlib -name '*.py' -print0 | xargs -0 dos2unix -q
 
 override_dh_installdocs:
 	dh_installdocs
-	rm debian/*/usr/share/doc/*/*/Makefile debian/*/usr/share/doc/*/*/texi2html
+	rm -f debian/*/usr/share/doc/*/*/Makefile
 
 override_dh_installexamples:
 	dh_installexamples

## python-xlib 0.27

=== debian/changelog ===
python-xlib (0.27-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.

  [ Moritz Muehlenhoff ]
  * Remove Python 2 support (Closes: #938275).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Apr 2020 16:12:10 +0200

python-xlib (0.26-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Update debian/copyright.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Mar 2020 21:40:28 +0100

=== debian/control ===
Source: python-xlib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               dos2unix,
               python3-all,
               python3-setuptools (>= 0.6.24),
               python3-setuptools-scm,
               python3-mock <!nocheck>,
               python3-six <!nocheck>,
               texinfo,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.0
Homepage: https://github.com/python-xlib/python-xlib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-xlib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xlib

Package: python3-xlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: interface for Python 3 to the X11 protocol
 python-xlib is a 100% pure Python 3 implementation of the X11
 protocol. It currently implements client-side X11R6 fully, supports
 the resource database, ICCM, and the Shape extension.
 .
 This is a Python 3 version of the package

## python-xlib 0.29

=== doc/html/Makefile ===
# Make HTML documentation for Python Xlib

include ../src/defs

python-xlib_toc.html: $(SRCS)
	texi2html --output=. --split=node --menu $(TOPSRC)
	ln -sf python-xlib_toc.html index.html

clean:
	rm -f *.html

=== doc/ps/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 # Make postscript documentation for Python Xlib
-#
-# $Id: Makefile,v 1.3 2001/12/16 14:23:38 petli Exp $
 
 include ../src/defs

=== debian/changelog ===
python-xlib (0.29-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release (Closes: #975542).

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Nov 2020 12:13:39 +0100

python-xlib (0.27-3) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/changelog: fix typo crrect => correct.
  * d/tests/autopkgtest-pkg-python.conf: fix variable name
    import-name => import_name.

  [ Andrej Shadura ]
  * Update Vcs-* after the move.
  * Drop the no longer used patch.
  * Drop "This is a Python 3 version" since we no longer have the Python 2
    package.
  * Fix an email address in an old changelog entry.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 21 Sep 2020 12:00:17 +0200

python-xlib (0.27-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/salsa-ci.yml: enable salsa-ci.
  * d/control: Bump debhelper-compat to 13.
  * d/copyright: add source url.
  * d/tests/autopkgtest-pkg-python.conf: set import_name configuration
    variable to correct import on autdep8.

  [ Andrej Shadura ]
  * Add Uploaders.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 19 Sep 2020 13:32:58 +0300

=== debian/control ===
Source: python-xlib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dos2unix,
               python3-all,
               python3-setuptools (>= 0.6.24),
               python3-setuptools-scm,
               python3-mock <!nocheck>,
               python3-six <!nocheck>,
               texinfo,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.0
Homepage: https://github.com/python-xlib/python-xlib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xlib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xlib

Package: python3-xlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: interface for Python 3 to the X11 protocol
 python-xlib is a 100% pure Python 3 implementation of the X11
 protocol. It currently implements client-side X11R6 fully, supports
 the resource database, ICCM, and the Shape extension.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=xlib
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -15,9 +15,12 @@
 	# for some reason makeinfo doesn’t create toc on the first run
 	make -C doc html
 
+override_dh_auto_clean:
+	dh_auto_clean
+	make -C doc clean
+
 override_dh_auto_install:
 	dh_auto_install
-	find debian/python-xlib -name '*.py' -print0 | xargs -0 dos2unix -q
 	find debian/python3-xlib -name '*.py' -print0 | xargs -0 dos2unix -q
 
 override_dh_installdocs:

## python-xlib 0.33

=== doc/src/Makefile ===
# When make:ing in the src dir, just do info

info:
	(cd ..; make info)

ps:
	(cd ..; make ps)

html:
	(cd ..; make html)

all:
	(cd ..; make all)

clean:
	(cd ..; make clean)

=== debian/changelog ===
python-xlib (0.33-5) unstable; urgency=medium

  * d/control: Update my contact information.
  * Packaging update
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control: Add Multi-Arch: foreign to python3-xlib binary package.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 19 Sep 2025 18:25:35 -0300

python-xlib (0.33-4) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 00:31:16 +0200

python-xlib (0.33-3) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-six & python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 17:42:12 +0100

python-xlib (0.33-2) unstable; urgency=medium

  * d/patches: Add inherit-XError-in-error-classes-in-randr.patch patch to
    inherit all error classes in randr from XError (Closes: #1028826).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 29 Jan 2023 09:15:54 +0000

python-xlib (0.33-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: Add new copyright entries.
    - Add me in the copyright for debian/* files.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1.1; no further
    changes needed).
  * d/patches: Update patches according to new upstream release.
  * d/control: Add python3-tomli as Build Depends until #1027947 is fixed.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 06 Jan 2023 09:21:41 +0000

python-xlib (0.31-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-xlib-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 18:51:01 +0100

python-xlib (0.31-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/patches/0004-Use-context-manager-to-avoid-error-in-test.patch: Add
    Forwarded issue to the patch.
  * d/watch: Update file to work porperly.
  * d/control: Bump Standards-Version to 4.6.1.1 (from 4.6.1). No changes
    needed.

  [ Jeroen Ploemen ]
  * Tests: remove explicit dependency on python3-six, already a
    dependency of the binary pkg.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 24 Oct 2022 12:02:30 +0000

python-xlib (0.31-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Build-Depends: Drop versioned constraint on python3-setuptools.

  [ Emmanuel Arias ]
  * New upstream version.
  * d/patches: Add 0004-Use-context-manager-to-avoid-error-in-test.patch patch
    to prevent exception raise before been caught by unittest (Closes:
    #1006033).
  * d/control: Bump Standards-Version to 4.6.1 (from 4.6.0). No changes
    needed.
  * d/tests: Add Autopkgtest tests.
  * d/tests: Remove autopkgtest-pkg-python.conf file, it's not longer need.
    Now autopkgtest run test suite.
  * d/control: Create the documentation package python-xlib-doc.
  * d/python3-xlib.docs: Install documentations file in python-xlib-doc.
  * d/python-xlib-doc.examples: Install the examples file using .examples
    file.
    - Stop override dh_installexamples.
  * d/control: Add Rules-Requires-Root: no in source stanza.
  * d/python-xlib-doc.doc-base: Create python-xlib-doc.doc-base file.
  * d/copyright: Add Copright entry for Xlib/ext/res.py and examples/xres.py
    files.
    - Combine blocks with the same authors.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 29 Aug 2022 18:01:58 -0300

=== debian/control ===
Source: python-xlib
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dos2unix,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 texinfo,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xlib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xlib.git
Homepage: https://github.com/python-xlib/python-xlib
Rules-Requires-Root: no

Package: python3-xlib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: interface for Python 3 to the X11 protocol
 python-xlib is a 100% pure Python 3 implementation of the X11
 protocol. It currently implements client-side X11R6 fully, supports
 the resource database, ICCM, and the Shape extension.

Package: python-xlib-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 python3-xlib,
Description: interface for Python 3 to the X11 protocol (docs)
 python-xlib is a 100% pure Python 3 implementation of the X11
 protocol. It currently implements client-side X11R6 fully, supports
 the resource database, ICCM, and the Shape extension.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 xauth,
 xvfb,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@python-xlib@-$1.tar.gz%" \
https://github.com/python-xlib/python-xlib/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
